$(function() {
		   
	var pay_arr = Array();
	
	
	function init()			//初始化JS 隐藏用户设置关闭的支付方式以及用户点击开启的操作
	{
		var id =  Array();
		var value = '';
		
		$('.hidden_pay_modular').each(function(k){
			id[k] = $(this).attr('short_id');			//获取支付方式 zfb|cft
			value = $(this).attr('value');				//获取支付方式(中文) 支付宝|财付通
			
			
		
			pay_arr[id[k]] = value;				//保存支付方式 方便后面调用
			
			$('.hidden_modular').each(function(j){		//获取模块方式 hotel|visa|list
											   
				var isopen_obj = $('#'+"pay_" + id[k] +  "_" + $(this).attr('value'));	//组合出是否打开的控件名字(radio)
				
				var isopen_modular_key = isopen_obj.attr('modular_key');	//获取单个支付方式的内容 hotel
				
				var all_obj = $('#pay_' + id[k] + '_' + isopen_modular_key + '_full');	//组合出全部付款的控件名字
				var objname ='pay_' + id[k] + '_' + isopen_modular_key + '_part_money';	//组合出部分付款的控件名字
				if(isopen_obj.attr('checked') != 'checked')		//判断是否开启了该支付模块
				{
					$(":input[name='"+ isopen_modular_key + "_" + id[k] +  "_money']").each(function(i) {	
									
						$(this).attr('disabled' , true);		//没开启的话 关闭相关的单选按钮
					});
				
					$('#' + objname).attr('disabled' , true);			//关闭相关的文本框
					$('#' + objname).attr('value' , '');			//清空文本框值
				}
				
				all_obj.click(function(){					
					$('#' + objname).attr('value' , '');			//选中全部付款的情况下 清空文本框
				});
				
				$('#' + objname).keydown(function(){				//文本框输入数值时 改变单选项
												
					var checkeBoxName = 'pay_' + id[k] + '_'+ isopen_modular_key +'_part';	//组合控件名
					$('#' + checkeBoxName).attr('checked' , true);	
				});
				
				$('#' + objname).blur(function(){					//文本框离开 文本内容为0或者为空时 改变单选项
					if($('#' + objname).attr('value') == '' || $('#' + objname).attr('value') == 0)												
					{
						
						var checkeBoxName = 'pay_' + id[k] + '_'+ isopen_modular_key +'_full';
						$('#' + checkeBoxName).attr('checked' , true);			
						$('#' + objname).attr('value' , '');	
					}
				});
				
				var checkeBoxName = 'pay_' + id[k] + '_'+ isopen_modular_key +'_part';
				$('#' + checkeBoxName).click(function(){			//单击支付一部分时 文本框获取焦点
					$('#' + objname).focus();	
				})
				
				isopen_obj.click(function(){			//支付模块时开启的操作(开启和关闭相关的按钮和选项)
										 
					var objname ='pay_' + id[k] + '_' + isopen_modular_key + '_part_money';				
					if($(this).attr('checked') != 'checked')					  	
					{							
						$(":input[name='"+ isopen_modular_key + "_" + id[k] +  "_money']").each(function(i) {			
							$(this).attr('disabled' , true);
							$('#' + objname).attr('disabled' , true);
							$('#' + objname).attr('value' , '');
						});			  
					}else{
						 $(":input[name='"+ isopen_modular_key + "_" + id[k] +  "_money']").each(function(i) {			
							$(this).attr('disabled' , false );
							$('#' + objname).attr('disabled' , false);
							
							
						});		
					}
				});
				
				
				
				
			});
	
			$(":input[name='" + id[k] +  "_open']").each(function(i) {	//支付方式的开启 开启后显示相关操作
               
				if(i == 1 && $(this).attr('checked') == 'checked')
				{
					$('.' + id[k]).hide();
				}
																  
			   $(this).click(function(){			
					if(i == 0)
					{
						$('.' + id[k]).show();
					}else{
						$('.' + id[k]).hide();
					
					}
			   });
				
			});
			
	    });
		
		
	} 
	
	init();			//运行初始化JS
	

	$('#pay_save').click(function(){			//保存用户所输入的支付配置
		
		var str = 'zfb';
		var modular_key = '';
		var modular = '';
		

		$('.hidden_modular').each(function(j){	
											   
			modular = '';
			var info = $(this).attr('value');
			if(info != 'undefined')
			{
					
				$(":input[name='pay_"+ info +"_type']").each(function(){											  
					modular_key = $(this).attr('modular_key');		
					
					if($(this).attr('checked') == 'checked'){		
						modular += info + '_1' + '|';	
					}else{
						modular += info + '_0' + '|';	
					}
				});	
			
				
				$('#pay_'+ info +'_modular').attr('value' , modular);
			
			}
			

		});
		
	
		for(var info in pay_arr)
		{				
			if(check_input(info) == false)
				return false;
		}
			
		
			

		var data = $("#O_PayForm").serialize();

		$.ajax({
			type:'POST',
			url:'?m=admin/payInfo.edit',
			data:data,
			success: function (data) {
				eval("data = " + data);
				alert(data[1]);
			},
			cache: false
		});
		
  	});
	
	function check_input(str)			//检查用户的文本框是否已经填写完毕
	{
		
		
		if($(":input[name='"+ str +"_open']:checked")[0].value == 1)
		{
			
			var id = $('#O_'+ str +'_partnerid');	
			var account = $('#O_'+ str +'_account');	
			var key = $('#O_'+ str +'_key');
			var return_url = $('#O_'+ str +'_return');
			
			if(account.attr('value') == '')
			{
				alert('请输入' + pay_arr[str] + '账号');
				account[0].focus();
				return false;
			}
			
			
			
			if(id.attr('value') == '')
			{
				alert('请输入' + pay_arr[str] + '合作者身份');
				id[0].focus();
				return false;
			}
			
			if(key.attr('value') == '')
			{
				alert('请输入' + pay_arr[str] + '交易安全校验码');
				key[0].focus();
				return false;
			}
			
		/*	if(return_url.attr('value') == '')
			{
				alert('请输入' + pay_arr[str] + '的返回页面');
				return_url[0].focus();
				return false;
			}*/
			
		}
		return true;
	}
	
	function clear_content(str)			//关闭时清空文本框的值(此方法暂未从页面中调用)
	{

		$('#O_'+ str +'_partnerid').attr('value' , '');
		$('#O_'+ str +'_account').attr('value' , '');
		$('#O_'+ str +'_Key').attr('value' , '');
		
		$(":input[name='pay_"+ str +"_type']").each(function() {
			$(this).attr('checked' , false);							   
		});
	}
	
	
	$('.txt_calculation').each(function(){
		$(this).keyup(function(){	
			var modular_k = $(this).attr('modular');
			var k = $(this).attr('pay');
			
			var id = 'pay_'+ k + '_' + modular_k + '_calculation';
			var select_id = 'sel_' + modular_k + '_calculation';

			var part_id = 'pay_' + k + '_part_money';

			if($('#'+select_id).attr('value') == 'discount')
			{
				if($(this).attr('value') >= 10 )
				{
					alert('不能再原价打10折以上');
					$(this).attr('value' , '9.9')
					return;
				}
			}
			$('#'+id).attr('checked' , true);
		//	$('#'+part_id).attr('value' , '');
			
			
		});
	});
	
	
	$('.check').each(function(){
		$(this).click(function(){
			var modular_k = $(this).attr('modular');
			var k = $(this).attr('pay');
			var text_id = 'calculation_' + k + '_' + modular_k;
			if($(this).attr('checked') != 'checked')
			{
				$('#'+text_id).attr('value' , '');
			}
		})
								  
	});
	
	$('.calculation').each(function(){
		$(this).change(function(){
			var modular_k = $(this).attr('modular');
			var k = $(this).attr('pay');	
			
			var id = 'pay_'+ k + '_' + modular_k + '_calculation';
			
			
			if($('#'+id).attr('disabled') == 'disabled')
			{
				alert('请开启该支付模块');
				return;	
			}
			
			

			switch($(this).attr('value'))
			{
				case 'discount': 
				
					$('#company_' + modular_k).html('折');
					$('#calculation_' + modular_k + '_content').attr('value' , '');
					break;	
				default : 

					$('#company_' + modular_k).html('元');
					$('#calculation_' + modular_k + '_content').attr('value' , '');
					break;	
			}
			
			$('#calculation_' + modular_k + '_content').focus();
			
			
			$('#'+id).attr('checked' , true);	
			
			/*$('#calculation_' + k + '_' + modular_k).keyUp(function(){

				$('#'+id).attr('checked' , true);	
			});*/
			
		});
	});
	
	$('.sel_pay').each(function(i){
							
		$(this).change(function(){
							
			var modular_k = $(this).attr('modular');
			var k = $(this).attr('pay');
			
			var id = 'sel_' + modular_k +  '_' + $(this).attr('value');		
			
			var className = 'sel_' + modular_k + '_pay';
			
			var part_money = 'pay_' + modular_k + '_part_money';
			var calculation_id = 'calculation_' + modular_k +'_content';
			
			
			
			$('.' + className).hide();
			$('#' + part_money).attr('value' , '');	
			$('#' + calculation_id).attr('value' , '');	
			$('#' + id).show();				
		})
	
		
	})
	
});